Contents
Restore Item - Plugixa Inventory
POST /plugixa-inventory/v1/items/{id}/restore
Bring a trashed item back.
The user needs the plugixa_inventory_delete capability (administrators have every inventory capability). With Pro Roles and permissions enforcing, their role must also allow deleting this item.
Request
POST https://your-site.example/wp-json/plugixa-inventory/v1/items/42/restore
Path parameters
| Name | Type | Description |
|---|---|---|
id |
integer |
The item’s id |
Responses
200 OK. The item is live again.
{
"success": true,
"data": {
"restored": true
}
}
Errors
| Status | Code | When |
|---|---|---|
404 |
plugixa_inventory_not_found |
No item with that id, or the item is not in the trash. |
409 |
plugixa_inventory_duplicate_identifier |
Another live item now uses this item’s sku or barcode. Change that one first. |
Plus the errors every endpoint can return.
Examples
curl -s -X POST "https://your-site.example/wp-json/plugixa-inventory/v1/items/42/restore" \
-u "admin:$WP_APP_PASSWORD"
<?php
$ch = curl_init('https://your-site.example/wp-json/plugixa-inventory/v1/items/42/restore');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_USERPWD => 'admin:' . getenv('WP_APP_PASSWORD'),
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
const auth = 'Basic ' + btoa(`admin:${process.env.WP_APP_PASSWORD}`);
const response = await fetch('https://your-site.example/wp-json/plugixa-inventory/v1/items/42/restore', {
method: 'POST',
headers: { 'Authorization': auth },
});
const { data } = await response.json();
Quick Links
Share